! Filtert Cosmics (gedacht fuer Absorptionslinienspektren)
! Pixel, die fünf Sigma ueber dem Median liegen, werden durch den Median ersetzt
! angepasst an NOT, d.h. Ränder abgeschnitten + rotiert sodass Streifen horizontal liegen
!
 DEFINE/PARAM P1 ? I Identifier1
 DEFINE/PARAM P3 3.75 N "Read-out noise"  ! RON in ADU, bestimmbar als Sigma in Bias Frames oder von NOT Homepage: http://www.not.iac.es/instruments/qc/fiesqc.php
 DEFINE/PARAM P4 0.78 N Gain             ! Gain = electrons per ADU, siehe NOT Homepage: http://www.not.iac.es/instruments/qc/fiesqc.php
 DEFINE/PARAMETER P5 228 I Master-Bias   ! Bias-Offset, bestimmbar als Frame Mittelwert eines Bias Frames oder von NOT Homepage: http://www.not.iac.es/instruments/qc/fiesqc.php
!
!
 DEFINE/LOCA filename/c/1/40 {p1}
 DEFINE/LOCA outfile/c/1/40
!
 outfile = "rot_" + "{filename}"
 INDISK/FITS {filename} &spectrum_uncut
!LOAD/IMA &spectrum_uncut sc=-4 cuts=f
 extract/ima &spectrum_cut = &spectrum_uncut [1,1:2120,2052]
!LOAD/IMA &spectrum_cut sc=-4 cuts=f
 REBIN/ROTA &spectrum_cut &spectrum.bdf 90
 write/desc &spectrum start 1,1
 write/desc &spectrum step 1,1
 LOAD/IMA &spectrum sc=-4 cuts=f
 OUTDIS/FITS &spectrum {outfile}






